Skip to main content
GET
Exchange & Trade Code Breakdown

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

date
string<date>
required

A trading date in the format of YYYY-MM-DD.

Example:

"2024-01-18T00:00:00.000Z"

Query Parameters

ticker[]
string[]

One or more underlying symbols to aggregate, e.g. ticker[]=AAPL&ticker[]=NVDA. Omit for whole-universe mode (top names by volume).

by_trade_code
boolean

Whether to additionally group each row by the upstream trade condition code.

min_premium
string

Only include individual prints whose premium (price × size × 100) is at least this value, before aggregating. Use to filter out smaller trades.

limit
integer

Whole-universe mode only: tickers per page (ranked by volume). Default 100, max 500.

page
integer

Whole-universe mode only: 1-based page of tickers. Default 1.

order
string

Whole-universe mode only: how to rank tickers — volume (total contracts) or premium (total premium). Default volume.

Response

A single ticker × exchange (× trade code, when by_trade_code=true) aggregation of the option tape for a trading date.

call_trades
integer

The number of call prints in this group.

Example:

3370

contracts
integer

The total number of contracts traded in this group.

Example:

38633

exchange
string

The exchange the option trade was executed on.

Example:

"MXOP"

premium
number

The total premium of this group, computed as sum(price × size × 100).

Example:

5454330

put_trades
integer

The number of put prints in this group.

Example:

3434

trade_code
string

The upstream condition detail/trade code of the option trade.

Example:

"auto"

trade_count
integer

The number of option prints in this group.

Example:

6804

underlying_symbol
string

The underlying symbol of the contract.

Example:

"AAPL"

Last modified on September 29, 2026